Avro C#

Protected Member Functions | Properties | List of all members
Avro.UnnamedSchema Class Reference

Base class for all unnamed schemas More...

Inheritance diagram for Avro.UnnamedSchema:

## Protected Member Functions
| UnnamedSchema (Type type, PropertyMap props)
| Base constructor for an UnnamedSchema. More...
Protected Member Functions inherited from Avro.Schema
| Schema (Type type, PropertyMap props)
| Constructor for schema class More...

## Properties
override string | Name`[get]`
Properties inherited from Avro.Schema
Type | Tag`[get]`
| Schema type property More...
abstract string | Name`[get]`
| If this is a record, enum or fixed, returns its name, otherwise the name the primitive type. More...
virtual string | Fullname`[get]`
| The name of this schema. If this is a named schema such as an enum, it returns the fully qualified name for the schema. For other schemas, it returns the type of the schema. More...

## Additional Inherited Members
Public Types inherited from Avro.Schema
enum | Type { Type.Null, Type.Boolean, Type.Int, Type.Long, Type.Float, Type.Double, Type.Bytes, Type.String, Type.Record, Type.Enumeration, Type.Array, Type.Map, Type.Union, Type.Fixed, Type.Error, Type.Logical }
| Enum for schema types More...
Public Member Functions inherited from Avro.Schema
override string | ToString ()
| Returns the canonical JSON representation of this schema. More...
string | GetProperty (string key)
| Returns the schema's custom property value given the property name More...
override int | GetHashCode ()
| Hash code function More...
virtual bool | CanRead (Schema writerSchema)
| Returns true if and only if data written using writerSchema can be read using the current schema according to the Avro resolution rules. More...
Static Public Member Functions inherited from Avro.Schema
static Schema | Parse (string json)
| Parses a given JSON string to create a new schema object More...
static string | GetTypeString (Type type)
| Returns symbol name for the given schema type More...
static Schema.? Type | ParseType (string type, bool removeQuotes=false)
| Parses the Schema.Type from a string. More...
Static Protected Member Functions inherited from Avro.Schema
static bool | areEqual (object o1, object o2)
| Compares two objects, null is equal to null More...
static int | getHashCode (object obj)
| Hash code helper function More...

## Detailed Description

Base class for all unnamed schemas

## Constructor & Destructor Documentation

## ◆ UnnamedSchema()

Avro.UnnamedSchema.UnnamedSchema | ( | Type | type,
|  | PropertyMap | props
| ) |  |
| inline protected

Base constructor for an UnnamedSchema.

Parameters

  type | Type of schema.
  props | Dictionary that provides access to custom properties

The documentation for this class was generated from the following file:

- src/apache/main/Schema/UnnamedSchema.cs